Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.common
Interface T3ShutdownDef

All Known Implementing Classes:
  COMFinalizer

public interface T3ShutdownDef

T3ShutdownDef defines the interface for user-written shutdown objects.

A class that implements this interface and is registered in WebLogic's `weblogic.properties` file will be automatically executed when the WebLogic Server shuts down, and its shutdown method will be called. For more information on registering a shutdown class, check the Administrators Guide document, Setting WebLogic properties, in the WebLogic Server documentation.

Any class that implements this interface must have a public default constructor. For example, class "foo" must have a constructor like:

       public foo() {
       }

Author:
  Copyright (c) 1997-98 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `setServices(T3ServicesDef services)` Sets the services object.
`java.lang.String` | `shutdown(java.lang.String name, java.util.Hashtable ht)` The shutdown method is called by the WebLogic Server when your object is launched.

Method Detail

### setServices

    public void setServices(T3ServicesDef services)

  Sets the services object. The instantiation of a class that implements this interface uses the services reference to obtain access to services in WebLogic.

  Parameters:
    `services` - Access to services in WebLogic

### shutdown

    public java.lang.String shutdown(java.lang.String name,
                                     java.util.Hashtable ht)
                              throws java.lang.Exception

  The shutdown method is called by the WebLogic Server when your object is launched. Its arguments are supplied by the registration in WebLogic's `weblogic.properties` file. The "name" argument is the virtual_name for the `shutdownClass` property as it has been registered in the `weblogic.properties` file. Arguments are passed to the user-written `shutdown()` method as a set of name-value pairs in a Hashtable; those name-value pairs are also registered in the `weblogic.properties` file.

  Parameters:
    `name` - Virtual name by which the class is registered as a shutdownClass in the `weblogic.properties` file
    `ht` - A Hashtable that is made up of the name-value pairs supplied from the shutdownArgs property
  Returns:
    String that is sent to the log file
  Throws:
    java.lang.Exception - if there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD